<?php
/**
 * The template for displaying Archives.
 *
 * @package Mimbolove
 * @since Mimbolove 1.0.2
 */
?>


<?php
	get_header();
?>

<div id="main" class="group">
	<div id="posts-container">
		<h3 id="archive-type-title">
			<?php if ( ( is_day() ) ) :
				printf( __( 'Daily Archives: %s', 'Mimbolove' ), '<span>' . get_the_date() . '</span>' ); 
			elseif ( is_month() ) :
				printf( __( 'Monthly Archives: %s', 'Mimbolove' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'Mimbolove' ) ) . '</span>' );
			elseif ( is_year() ) :
				printf( __( 'Yearly Archives: %s', 'Mimbolove' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'Mimbolove' ) ) . '</span>' );
			else : 
				_e( 'Blog Archives', 'Mimbolove' );
			endif;
			?>
		</h3>
			
		<?php
		if ( have_posts() ) :
			mimbolove_post_navigation( "nav-above" );
			while ( have_posts() ) :
				the_post();		
				if ( get_post_format() == "gallery" ):
					get_template_part( 'content', 'gallery' );
				else:
					get_template_part( 'content' );
				endif;
		   endwhile;
		   mimbolove_post_navigation( "nav-below" );
		endif;
		?>
	</div>	<!-- closing of posts-container> -->


<?php
	get_sidebar( 'right' );
?>
</div><!-- Closing of main -->

<?php
	get_footer(); 
?>
